> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Business

> Get Business



## OpenAPI

````yaml /api-reference/businesses/openapi.json get /businesses/{businessId}
openapi: 3.0.0
info:
  title: Business API
  description: Documentation for business API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Businesses
    description: Documentation for business API
paths:
  /businesses/{businessId}:
    get:
      tags:
        - Businesses
      summary: Get Business
      description: Get Business
      operationId: get-business
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: businessId
          required: true
          in: path
          example: 5DP4iH6HLkQsiKESj6rh
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBusinessByIdResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - bearer:
            - businesses.readonly
components:
  schemas:
    GetBusinessByIdResponseDto:
      type: object
      properties:
        business:
          $ref: '#/components/schemas/BusinessDto'
      required:
        - business
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    BusinessDto:
      type: object
      properties:
        id:
          type: string
          description: Business Id
          example: 63771dcac1116f0e21de8e12
        name:
          type: string
          description: Business Name
          example: Microsoft
        phone:
          type: string
          description: phone number
        email:
          type: string
          description: email
          example: abc@microsoft.com
        website:
          type: string
          description: website
          example: microsoft.com
        address:
          type: string
          description: address
        city:
          type: string
          description: city
        description:
          type: string
          description: description
        state:
          type: string
          description: state
        postalCode:
          type: string
          description: postal code
        country:
          type: string
          description: country
          example: united states
        updatedBy:
          $ref: '#/components/schemas/BusinessCreatedByOrUpdatedBy'
        locationId:
          type: string
          description: locaitonId
        createdBy:
          $ref: '#/components/schemas/BusinessCreatedByOrUpdatedBy'
        createdAt:
          format: date-time
          type: string
          description: Creation Time
        updatedAt:
          format: date-time
          type: string
          description: Last updation time
      required:
        - id
        - name
        - locationId
    BusinessCreatedByOrUpdatedBy:
      type: object
      properties: {}
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````